----------------------------------------------------------------------------
--  link_uart.vhd
--	MicroZed simple VHDL example
--	Version 1.0
--
--  Copyright (C) 2017 H.Poetzl
--
--	This program is free software: you can redistribute it and/or
--	modify it under the terms of the GNU General Public License
--	as published by the Free Software Foundation, either version
--	2 of the License, or (at your option) any later version.
--
--  Vivado 2016.4:
--    mkdir -p build.vivado
--    (cd build.vivado && vivado -mode tcl -source ../vivado.tcl)
----------------------------------------------------------------------------


library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.ALL;

library unisim;
use unisim.VCOMPONENTS.ALL;


entity link_uart is
end entity link_uart;


architecture RTL of link_uart is

    signal uart0_rx : std_logic;
    signal uart0_tx : std_logic;

    signal uart1_rx : std_logic;
    signal uart1_tx : std_logic;

begin

    ps7_stub_inst : entity work.ps7_stub
	port map (
	    uart0_rx => uart0_rx,
	    uart0_tx => uart0_tx,
	    --
	    uart1_rx => uart1_rx,
	    uart1_tx => uart1_tx);

    uart0_rx <= uart1_tx;
    uart1_rx <= uart0_tx;

end RTL;
